include module type of Stdlib.Seq

type 'a span = Empty_seq | Span of 'a list * 'a t

val span': ('a -> bool) -> 'a t -> 'a span
val break': ('a -> bool) -> 'a t -> 'a span

val span: ('a -> bool) -> 'a t -> 'a list * 'a t
val break: ('a -> bool) -> 'a t -> 'a list * 'a t

val drop_while: ('a -> bool) -> 'a t -> 'a t


val chunks: ('a -> bool) -> 'a t -> 'a list t

val line_chunks': string t -> string list t
val line_chunks: ?join:string -> string t -> string t
